Create Database - SuperAI Flows
Create Database
cURL
curl --request POST \
--url https://flows.super.ai/api/integrations/database \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_type": "csv",
"description": "<string>",
"table_name": "<string>"
}
'
Python
import requests
url = "https://flows.super.ai/api/integrations/database"
payload = {
"name": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_type": "csv",
"description": "<string>",
"table_name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
database_type: 'csv',
description: '<string>',
table_name: '<string>'
})
};
fetch('https://flows.super.ai/api/integrations/database', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/integrations/database",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'credential_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'database_type' => 'csv',
'description' => '<string>',
'table_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/integrations/database"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"}\")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/integrations/database")
.header("X-API-Key", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/integrations/database")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"}\"
response = http.request(request)
puts response.read_body
Authorizations
X-API-Key
string
header
required
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
Authorization
string
header
required
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Body
application/json
Request to create a new document file entry.
- name (string, required): Document name
- credential_id (string
| null): Credential ID for PostgreSQL databases - database_type (enum
, default: csv): Type of database - Available options:
csv,postgres
- Available options:
- description (string | null): Document description
- table_name (string | null): Table name for PostgreSQL databases
Response
200 application/json
Successful Response
- created_at (string
, required): Creation timestamp - database_type (enum
, required): Type of database - Available options:
csv,postgres
- Available options:
- id (string
, required): Document file ID - name (string, required): Document name
- status (string, required): File status
- updated_at (string
, required): Last update timestamp - current_file_id (string
| null): Current file ID in bucket - current_table_name (string | null): Current dataset name
- description (string | null): Document description
- modified_by (string, default: system): User ID (UUID string) or 'system' of the actor who last modified the file.
- revision_count (integer, default: 0): Number of file revisions
- total_rows (integer, default: 0): Total rows in current file